--Reduce Boosts.
UPDATE Boosts SET Boost = '25';

--Reduce culture per population.
UPDATE GlobalParameters SET Value=26 WHERE Name='CULTURE_PERCENTAGE_YIELD_PER_POP' ;

--Slightly slow pop growth.
UPDATE GlobalParameters SET Value=1.9 WHERE Name='CITY_GROWTH_EXPONENT';

--Adjust Civic, Technology, and GP costs *3.
UPDATE Civics SET Cost = Cost*3;
UPDATE Technologies SET Cost=Cost*3;
UPDATE Eras SET GreatPersonBaseCost=GreatPersonBaseCost*3;

UPDATE Civics SET Cost = Cost*0.75 WHERE CivicType='CIVIC_CODE_OF_LAWS';
UPDATE Technologies SET Cost= Cost*.85 WHERE TechnologyType='TECH_POTTERY';
UPDATE Technologies SET Cost= Cost*.85 WHERE TechnologyType='TECH_MINING';
UPDATE Technologies SET Cost= Cost*.85 WHERE TechnologyType='TECH_ANIMAL_HUSBANDRY';
UPDATE Technologies SET Cost= Cost*.85 WHERE TechnologyType='TECH_SAILING';

--Adjust calendar.
DELETE FROM GameSpeed_Turns WHERE GameSpeedType='GAMESPEED_STANDARD';
INSERT INTO GameSpeed_Turns
		(GameSpeedType,				MonthIncrement, TurnsPerIncrement)
VALUES	("GAMESPEED_STANDARD",		600,			53),
		("GAMESPEED_STANDARD",		300,			22),
		("GAMESPEED_STANDARD",		192,			78),
		("GAMESPEED_STANDARD",		120,			75),
		("GAMESPEED_STANDARD",		96,				38),
		("GAMESPEED_STANDARD",		60,				36),
		("GAMESPEED_STANDARD",		36,				73),
		("GAMESPEED_STANDARD",		8,				147),
		("GAMESPEED_STANDARD",		4,				78),
		("GAMESPEED_STANDARD",		2,				150);

--Increase era costs.
CREATE TABLE EraIncreases
	(
	EraType TEXT NOT NULL,
	Increase INT
	);

INSERT INTO EraIncreases
	VALUES	("ERA_ANCIENT",0),
			("ERA_CLASSICAL", 30),
			("ERA_MEDIEVAL", 50),
			("ERA_RENAISSANCE", 80),
			("ERA_INDUSTRIAL", 120),
			("ERA_MODERN", 160),
			("ERA_ATOMIC", 210),
			("ERA_INFORMATION", 260);

UPDATE Technologies
	SET Cost = ROUND(Cost + Cost*(SELECT EraIncreases.Increase
		FROM EraIncreases 
		WHERE EraIncreases.EraType = Technologies.EraType)/100);

UPDATE Civics
	SET Cost = ROUND(Cost + Cost*(SELECT EraIncreases.Increase
		FROM EraIncreases 
		WHERE EraIncreases.EraType = Civics.EraType)/100);

UPDATE Eras
	SET GreatPersonBaseCost = ROUND(GreatPersonBaseCost + GreatPersonBaseCost*(SELECT EraIncreases.Increase
		FROM EraIncreases 
		WHERE EraIncreases.EraType = Eras.EraType)/200);

-- Drop the temporary table created at the start
DROP TABLE EraIncreases;